Subject: Re: bug#52389: 29.0.50; Imenu does not pop up the Completions eagerly

From: Daniel Martín <[email-masked]>
Date: Fri, 10 Dec 2021 16:16:47 +0100

Lars Ingebrigtsen <[email-masked]> writes:

> Protesilaos Stavrou <[email-masked]> writes:
>
>> * lisp/imenu.el (imenu-eager-completion-buffer): Set the default value
>> to nil, as that was the intended one.
>> (imenu--completion-buffer): Update the condition to check for a
>> non-nil value to 'imenu-eager-completion-buffer'.
>
> But you're reversing the logic, so that people who have set this to nil
> now won't get an eager pop up?
>
> I don't think we can do that.  The documentation (and indeed the name of
> the variable) seems to be wrong, though.

I think the safest way to solve this long-standing problem without
surprising users is to introduce a new variable whose logic is handled
correctly, and mark imenu-eager-completion-buffer as deprecated.